<template>
  <div class="vlow-node vlow-node-set has-left has-right" :rel="content.id">
    <div
        class="title"
        v-text="proto.title"
        @mousedown.prevent="$emit('start-drag', $event)"
    />
    <template v-for="(cfg, input, n) in proto.inputs" :key="input+'pin'">
      <div

          :class="'name left row'+n"
          v-text="cfg.label || input"
      />

      <div
          v-if="content.node[input].type === 'connection'"
          :rel="input"
          :class="'input left row'+n"
          v-html="'&middot;'"
      />

      <div
          v-if="content.node[input].type === 'constant'"
          :class="'value left row'+n"
          v-text="content.node[input].constant.value"
      />
    </template>

    <template v-for="(cfg, output, n) in proto.outputs" :key="output+'pin'">
      <div

          :class="'name right row'+n"
          v-text="cfg.label || output"
      />
      <div
          :rel="output"
          :class="'output right row'+n"
          v-html="'&middot;'"
      />
    </template>

    <div class="content">{{ content.node.object.constant.value }}.{{ content.node.keypath.constant.value }}</div>
  </div>
</template>

<script>
export default {
  name: "custom-node-set",
  props: {
    proto: Object,
    content: Object
  }
}
</script>

<style lang="scss">
.vlow-node-set {

}
</style>
